```

BenchmarkDotNet v0.13.12, Windows 11 (10.0.22621.3007/22H2/2022Update/SunValley2)
AMD Ryzen 9 3950X, 1 CPU, 32 logical and 16 physical cores
.NET SDK 8.0.100
  [Host]     : .NET 8.0.0 (8.0.23.53103), X64 RyuJIT AVX2
  Job-TLHGWS : .NET 8.0.0 (8.0.23.53103), X64 RyuJIT AVX2

IterationTime=2.0000 s  MaxIterationCount=5  MinIterationCount=2  
WarmupCount=1  

```
| Method                                       | LineCount | Mean        | Error       | StdDev    | Gen0        | Gen1       | Gen2      | Allocated   |
|--------------------------------------------- |---------- |------------:|------------:|----------:|------------:|-----------:|----------:|------------:|
| Sep_MT                                       | 1000000   |    169.5 ms |     8.89 ms |   2.31 ms |     83.3333 |          - |         - |   261.64 MB |
| RecordParserParallel                         | 1000000   |    386.8 ms |    65.32 ms |  16.96 ms |           - |          - |         - |   280.45 MB |
| Sep                                          | 1000000   |    719.7 ms |    64.26 ms |  16.69 ms |           - |          - |         - |   260.42 MB |
| Sylvan_Data_Csv                              | 1000000   |    768.6 ms |    92.78 ms |  24.10 ms |    500.0000 |          - |         - |   260.61 MB |
| Microsoft_ML                                 | 1000000   |    822.7 ms |   148.01 ms |  22.90 ms |    500.0000 |          - |         - |  1794.84 MB |
| SoftCircuits_CsvParser                       | 1000000   |    824.6 ms |    18.72 ms |   2.90 ms |    500.0000 |          - |         - |  1173.42 MB |
| Cursively                                    | 1000000   |  1,026.0 ms |   102.80 ms |  26.70 ms |    500.0000 |          - |         - |   344.65 MB |
| string_Split                                 | 1000000   |  1,041.6 ms |   681.57 ms | 177.00 ms |    500.0000 |          - |         - |  2074.87 MB |
| TxtCsvHelper                                 | 1000000   |  1,107.9 ms |    45.40 ms |  11.79 ms |   1000.0000 |          - |         - |  2349.53 MB |
| FluentCSV                                    | 1000000   |  1,143.3 ms |   645.58 ms | 167.65 ms |    500.0000 |          - |         - |  2074.87 MB |
| RecordParser                                 | 1000000   |  1,170.7 ms |   125.75 ms |  32.66 ms |    500.0000 |          - |         - |   260.66 MB |
| HomeGrown2                                   | 1000000   |  1,227.0 ms |    78.15 ms |  20.30 ms |    500.0000 |          - |         - |   260.62 MB |
| Addax_Formats_Tabular                        | 1000000   |  1,413.4 ms |    57.40 ms |  14.91 ms |           - |          - |         - |  1272.59 MB |
| NReco_Csv                                    | 1000000   |  1,433.5 ms |    54.38 ms |  14.12 ms |           - |          - |         - |  1174.14 MB |
| Ctl_Data                                     | 1000000   |  1,452.1 ms |    40.51 ms |   6.27 ms |   1000.0000 |          - |         - |  2385.39 MB |
| Sky_Data_Csv                                 | 1000000   |  1,469.5 ms |    20.49 ms |   1.12 ms |   1000.0000 |          - |         - |   2304.1 MB |
| HomeGrown                                    | 1000000   |  1,497.4 ms |    39.27 ms |  10.20 ms |           - |          - |         - |  1173.41 MB |
| Dsv                                          | 1000000   |  1,549.2 ms |    50.78 ms |  13.19 ms |   1000.0000 |          - |         - |  2082.51 MB |
| mgholam_fastCSV                              | 1000000   |  1,552.6 ms |    47.04 ms |  12.22 ms |           - |          - |         - |  1260.92 MB |
| ServiceStack_Text                            | 1000000   |  1,633.5 ms |    25.42 ms |   3.93 ms |   1000.0000 |          - |         - |  2441.09 MB |
| GenericParsing                               | 1000000   |  1,652.8 ms |    25.78 ms |   3.99 ms |           - |          - |         - |  1173.42 MB |
| FastCsvParser                                | 1000000   |  1,715.3 ms |    98.77 ms |  25.65 ms |   1000.0000 |          - |         - |  2055.37 MB |
| KBCsv                                        | 1000000   |  1,752.5 ms |    67.10 ms |  17.43 ms |   1000.0000 |          - |         - |   1501.5 MB |
| CSVFile                                      | 1000000   |  1,818.5 ms |   104.77 ms |  16.21 ms |   1000.0000 |          - |         - |  2713.15 MB |
| FileHelpers                                  | 1000000   |  1,854.6 ms |    49.35 ms |  12.82 ms |   1000.0000 |          - |         - |  2105.44 MB |
| CsvHelper                                    | 1000000   |  1,958.8 ms |    73.53 ms |  19.10 ms |           - |          - |         - |   260.59 MB |
| CsvTextFieldParser                           | 1000000   |  2,391.6 ms |   842.24 ms | 218.73 ms |   1000.0000 |          - |         - |  4133.41 MB |
| LumenWorksCsvReader                          | 1000000   |  2,879.1 ms |    43.87 ms |  11.39 ms |   1000.0000 |          - |         - |  5234.75 MB |
| TinyCsvReader                                | 1000000   |  3,185.9 ms |    47.46 ms |   7.34 ms |   2000.0000 |  1000.0000 |         - |  6251.48 MB |
| LinqToCsv                                    | 1000000   |  3,193.6 ms |    56.37 ms |  14.64 ms |   2000.0000 |  1000.0000 |         - |  5635.29 MB |
| Cesil                                        | 1000000   |  3,399.0 ms |   218.11 ms |  56.64 ms |           - |          - |         - |    914.5 MB |
| CsvTools                                     | 1000000   |  3,672.4 ms |    69.27 ms |  10.72 ms |   1000.0000 |          - |         - |  2073.72 MB |
| Open_Text_CSV                                | 1000000   |  3,697.3 ms |    47.05 ms |  12.22 ms |   1000.0000 |          - |         - |  1539.71 MB |
| FlatFiles                                    | 1000000   |  4,881.1 ms |   646.02 ms | 167.77 ms |   2000.0000 |  1000.0000 |         - |  4200.92 MB |
| StackOverflowRegex                           | 1000000   |  5,278.1 ms |   277.76 ms |  42.98 ms |   1000.0000 |          - |         - |  4704.44 MB |
| Angara_Table                                 | 1000000   |  5,707.9 ms | 1,815.75 ms | 471.55 ms |   1000.0000 |          - |         - |  4027.37 MB |
| Csv                                          | 1000000   |  6,591.2 ms | 1,081.01 ms | 280.73 ms |   2000.0000 |  1000.0000 |         - |  9537.66 MB |
| Microsoft_Data_Analysis                      | 1000000   |  8,834.5 ms |   273.87 ms |  42.38 ms |   3000.0000 |  1000.0000 |         - | 13310.66 MB |
| CommonLibrary_NET                            | 1000000   | 15,459.8 ms | 3,079.93 ms | 799.85 ms |   4000.0000 |  2000.0000 | 1000.0000 | 14799.67 MB |
| Microsoft_VisualBasic_FileIO_TextFieldParser | 1000000   | 15,693.1 ms |   224.73 ms |  34.78 ms | 136000.0000 | 39000.0000 | 6000.0000 |  40104.8 MB |
| ChoETL                                       | 1000000   | 16,718.6 ms |   434.13 ms | 112.74 ms |   2000.0000 |  1000.0000 |         - |  6658.09 MB |
